Description

Hi There,

I have an issue in which provisioning new servers in the second of my two domains via foreman fails. The host fails to be created

correctly , throwing the error:

Unable to save

failed to detect boot server: Connection refused - recvfrom(2)

 The layout of my environment is:

Currently have 2 domains:

- maindomain.int - 2 DHCP Subnets for provisioning

- prd.otherdomain.com - 1 DHCP Subnet for provisioning

The DHCP Server is running ISC DHCP and has the smart-proxy running on it. It is a central dhcp & tftp server, and as such is

responsible for the DHCP and TFTP for all 3 subnets.

When I create a new server for provisioning using Foreman on subnets defined as maindomain.int, everything works well, and the

servers PXEBoot and install without any issues.

When i attempt to provision a new host on the range defined in foreman as prd.otherdomain.com , i get the error:

Unable to save

failed to detect boot server: Connection refused - recvfrom(2)

 If I change the domain for this subnet to maindomain.int in the settings , everything works OK, its only when I change it to another

domain where the issue occurs.

If i create another, third domain, this also fails.

When the provisioning fails, i get the following in the proxy debug log:

D, [2012-03-01T12:26:38.549598 #28145] DEBUG -- : Loading subnets for 127.0.0.1

D, [2012-03-01T12:26:38.549701 #28145] DEBUG -- : Added 10.23.11.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:26:38.549769 #28145] DEBUG -- : Added 10.21.9.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:26:38.549836 #28145] DEBUG -- : Added 172.16.36.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:26:38.549903 #28145] DEBUG -- : Added 10.21.171.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:26:38.549978 #28145] DEBUG -- : Added 10.64.9.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:26:38.550049 #28145] DEBUG -- : Added 172.22.10.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:26:38.550119 #28145] DEBUG -- : Added 10.23.55.16/255.255.255.240 to 127.0.0.1

D, [2012-03-01T12:26:38.550195 #28145] DEBUG -- : Added 10.23.47.192/255.255.255.192 to 127.0.0.1

D, [2012-03-01T12:26:38.550269 #28145] DEBUG -- : Added 10.23.47.64/255.255.255.192 to 127.0.0.1

D, [2012-03-01T12:26:38.550439 #28145] DEBUG -- : trying to find an ip address, we got {:from=>nil

, :to=>nil, :mac=>nil}

D, [2012-03-01T12:26:38.554754 #28145] DEBUG -- : Loading subnet data for 172.16.36.0/255.255.255.

0

I, [2012-03-01T12:26:38.626147 #28145]  INFO -- : Enumerated hosts on 172.16.36.0

D, [2012-03-01T12:26:38.626240 #28145] DEBUG -- : Lazy loaded 172.16.36.0/255.255.255.0 records
D, [2012-03-01T12:26:38.626341 #28145] DEBUG -- : Searching for free ip - pinging 172.16.36.1

I, [2012-03-01T12:26:38.627607 #28145]  INFO -- : Found a pingable IP(172.16.36.1) address which d

oes not have a Proxy::DHCP record

D, [2012-03-01T12:26:38.627664 #28145] DEBUG -- : Searching for free ip - pinging 172.16.36.2

I, [2012-03-01T12:26:38.628727 #28145]  INFO -- : Found a pingable IP(172.16.36.2) address which d

oes not have a Proxy::DHCP record

D, [2012-03-01T12:26:38.628783 #28145] DEBUG -- : Searching for free ip - pinging 172.16.36.3

D, [2012-03-01T12:26:40.654552 #28145] DEBUG -- : Found free ip 172.16.36.3 out of a total of 254 

free ips

D, [2012-03-01T12:27:01.446899 #28145] DEBUG -- : Loading subnets for 127.0.0.1

D, [2012-03-01T12:27:01.447032 #28145] DEBUG -- : Added 10.23.11.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:01.447127 #28145] DEBUG -- : Added 10.21.9.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:01.447226 #28145] DEBUG -- : Added 172.16.36.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:01.447321 #28145] DEBUG -- : Added 10.21.171.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:01.447419 #28145] DEBUG -- : Added 10.64.9.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:01.447515 #28145] DEBUG -- : Added 172.22.10.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:01.447621 #28145] DEBUG -- : Added 10.23.55.16/255.255.255.240 to 127.0.0.1

D, [2012-03-01T12:27:01.447727 #28145] DEBUG -- : Added 10.23.47.192/255.255.255.192 to 127.0.0.1

D, [2012-03-01T12:27:01.447832 #28145] DEBUG -- : Added 10.23.47.64/255.255.255.192 to 127.0.0.1

D, [2012-03-01T12:27:01.448065 #28145] DEBUG -- : Loading subnet data for 10.23.11.0/255.255.255.0

D, [2012-03-01T12:27:01.452657 #28145] DEBUG -- : Added d7sparebay9.maindomain.int (10.23.11.4 / 0

0:22:64:0b:33:58) to 10.23.11.0/255.255.255.0

D, [2012-03-01T12:27:01.452986 #28145] DEBUG -- : Added d7sparebay10.maindomain.int (10.23.11.5 / 

00:1b:78:ce:18:c6) to 10.23.11.0/255.255.255.0

D, [2012-03-01T12:27:01.551616 #28145] DEBUG -- : Added 10.23.11.143 / 10:1f:74:32:0b:48 to 10.23.

11.0/255.255.255.0

D, [2012-03-01T12:27:01.552477 #28145] DEBUG -- : Added 10.23.11.146 / 10:1f:74:32:2a:08 to 10.23.

11.0/255.255.255.0

D, [2012-03-01T12:27:01.553284 #28145] DEBUG -- : Added 10.23.11.148 / 10:1f:74:32:2b:e0 to 10.23.

11.0/255.255.255.0

I, [2012-03-01T12:27:01.553348 #28145]  INFO -- : Enumerated hosts on 10.23.11.0

D, [2012-03-01T12:27:01.553401 #28145] DEBUG -- : Lazy loaded 10.23.11.0/255.255.255.0 records

D, [2012-03-01T12:27:01.553478 #28145] DEBUG -- : Loading subnet data for 10.21.9.0/255.255.255.0

D, [2012-03-01T12:27:01.557999 #28145] DEBUG -- : Added foremantest.maindomain.int (10.21.9.5 / 00

:50:56:a3:00:8c) to 10.21.9.0/255.255.255.0

D, [2012-03-01T12:27:01.558345 #28145] DEBUG -- : Added flodev.maindomain.int (10.21.9.4 / 00:50:5

6:a3:41:69) to 10.21.9.0/255.255.255.0

D, [2012-03-01T12:27:01.596334 #28145] DEBUG -- : Added 10.21.9.131 / 00:50:56:a3:00:01 to 10.21.9

.0/255.255.255.0

D, [2012-03-01T12:27:01.596899 #28145] DEBUG -- : Added 10.21.9.134 / 00:1e:0b:1d:87:08 to 10.21.9

.0/255.255.255.0

I, [2012-03-01T12:27:01.616601 #28145]  INFO -- : Enumerated hosts on 10.21.9.0

D, [2012-03-01T12:27:01.616655 #28145] DEBUG -- : Lazy loaded 10.21.9.0/255.255.255.0 records

D, [2012-03-01T12:27:01.616708 #28145] DEBUG -- : Loading subnet data for 172.16.36.0/255.255.255.

0

I, [2012-03-01T12:27:01.685454 #28145]  INFO -- : Enumerated hosts on 172.16.36.0

D, [2012-03-01T12:27:01.685550 #28145] DEBUG -- : Lazy loaded 172.16.36.0/255.255.255.0 records

D, [2012-03-01T12:27:01.685596 #28145] DEBUG -- : Loading subnet data for 10.21.171.0/255.255.255.

0

I, [2012-03-01T12:27:01.737683 #28145]  INFO -- : Enumerated hosts on 10.21.171.0

D, [2012-03-01T12:27:01.737764 #28145] DEBUG -- : Lazy loaded 10.21.171.0/255.255.255.0 records

D, [2012-03-01T12:27:01.737809 #28145] DEBUG -- : Loading subnet data for 10.64.9.0/255.255.255.0

I, [2012-03-01T12:27:01.806485 #28145]  INFO -- : Enumerated hosts on 10.64.9.0

D, [2012-03-01T12:27:01.806572 #28145] DEBUG -- : Lazy loaded 10.64.9.0/255.255.255.0 records

D, [2012-03-01T12:27:01.806620 #28145] DEBUG -- : Loading subnet data for 172.22.10.0/255.255.255.

0

I, [2012-03-01T12:27:01.875530 #28145]  INFO -- : Enumerated hosts on 172.22.10.0

D, [2012-03-01T12:27:01.875627 #28145] DEBUG -- : Lazy loaded 172.22.10.0/255.255.255.0 records

D, [2012-03-01T12:27:01.875673 #28145] DEBUG -- : Loading subnet data for 10.23.55.16/255.255.255.

240

I, [2012-03-01T12:27:01.927358 #28145]  INFO -- : Enumerated hosts on 10.23.55.16

D, [2012-03-01T12:27:01.927436 #28145] DEBUG -- : Lazy loaded 10.23.55.16/255.255.255.240 records

D, [2012-03-01T12:27:01.927481 #28145] DEBUG -- : Loading subnet data for 10.23.47.192/255.255.255

.192

D, [2012-03-01T12:27:01.932693 #28145] DEBUG -- : Added 10.23.47.240 / 00:23:7d:a7:ed:c6 to 10.23.

47.192/255.255.255.192

I, [2012-03-01T12:27:01.996373 #28145]  INFO -- : Enumerated hosts on 10.23.47.192
D, [2012-03-01T12:27:01.996470 #28145] DEBUG -- : Lazy loaded 10.23.47.192/255.255.255.192 records

D, [2012-03-01T12:27:01.996521 #28145] DEBUG -- : Loading subnet data for 10.23.47.64/255.255.255.

192

D, [2012-03-01T12:27:02.000293 #28145] DEBUG -- : Added 10.23.47.118 / 00:23:7d:a4:28:bc to 10.23.

47.64/255.255.255.192

D, [2012-03-01T12:27:02.000854 #28145] DEBUG -- : Added 10.23.47.120 / 00:c0:ff:d7:a8:30 to 10.23.

47.64/255.255.255.192

D, [2012-03-01T12:27:02.001423 #28145] DEBUG -- : Added 10.23.47.119 / 00:c0:ff:d7:a4:bd to 10.23.

47.64/255.255.255.192

I, [2012-03-01T12:27:02.048529 #28145]  INFO -- : Enumerated hosts on 10.23.47.64

D, [2012-03-01T12:27:02.048610 #28145] DEBUG -- : Lazy loaded 10.23.47.64/255.255.255.192 records

D, [2012-03-01T12:27:02.048739 #28145] DEBUG -- : Added anothertest.prd.otherdomain.com (172.16.36

.3 / 00:50:ff:a3:f1:fa) to 172.16.36.0/255.255.255.0

D, [2012-03-01T12:27:02.114883 #28145] DEBUG -- : omshell: executed - set name = "anothertest.prd.

otherdomain.com" 

D, [2012-03-01T12:27:02.114953 #28145] DEBUG -- : true

D, [2012-03-01T12:27:02.115014 #28145] DEBUG -- : omshell: executed - set ip-address = 172.16.36.3

D, [2012-03-01T12:27:02.115049 #28145] DEBUG -- : true

D, [2012-03-01T12:27:02.115105 #28145] DEBUG -- : omshell: executed - set hardware-address = 00:50

:ff:a3:f1:fa

D, [2012-03-01T12:27:02.115141 #28145] DEBUG -- : true

D, [2012-03-01T12:27:02.115196 #28145] DEBUG -- : omshell: executed - set hardware-type = 1

D, [2012-03-01T12:27:02.115231 #28145] DEBUG -- : true

W, [2012-03-01T12:27:02.118509 #28145]  WARN -- : Failed to resolve IP address for false

D, [2012-03-01T12:27:02.118584 #28145] DEBUG -- : omshell: executed - set statements = "filename =

 \"pxelinux.0\"; next-server = \"false\"; option host-name = 

\"anothertest.prd.otherdomain.com\";" 

D, [2012-03-01T12:27:02.118637 #28145] DEBUG -- : true

D, [2012-03-01T12:27:02.118692 #28145] DEBUG -- : omshell: executed - create

D, [2012-03-01T12:27:02.118728 #28145] DEBUG -- : true

I, [2012-03-01T12:27:02.121601 #28145]  INFO -- : Added DHCP reservation for anothertest.prd.other

domain.com (172.16.36.3 / 00:50:ff:a3:f1:fa)

I, [2012-03-01T12:27:02.146996 #28145]  INFO -- : TFTP: entry for 00:50:ff:a3:f1:fa created succes

sfully

D, [2012-03-01T12:27:02.153899 #28145] DEBUG -- : Starting task (total: 0): wget --timeout=10 --tr

ies=3 --no-check-certificate -nv -c http://satellite01.maindomain.int/ks/dist/ks-

rhel-x86_64-server-5-5.7/images/pxeboot/vmlinuz -O "/tftpboot//boot/RedHat-5.7-x86_64-vmlinuz" 

D, [2012-03-01T12:27:02.161167 #28145] DEBUG -- : Starting task (total: 0): wget --timeout=10 --tr

ies=3 --no-check-certificate -nv -c http://satellite01.maindomain.int/ks/dist/ks-

rhel-x86_64-server-5-5.7/images/pxeboot/initrd.img -O "/tftpboot//boot/RedHat-5.7-x86_64-initrd.im

g" 

D, [2012-03-01T12:27:02.168606 #28145] DEBUG -- : TFTP: entry for 00:50:ff:a3:f1:fa removed succes

sfully

D, [2012-03-01T12:27:02.173368 #28145] DEBUG -- : Loading subnets for 127.0.0.1

D, [2012-03-01T12:27:02.173465 #28145] DEBUG -- : Added 10.23.11.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:02.173536 #28145] DEBUG -- : Added 10.21.9.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:02.173604 #28145] DEBUG -- : Added 172.16.36.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:02.173677 #28145] DEBUG -- : Added 10.21.171.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:02.173742 #28145] DEBUG -- : Added 10.64.9.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:02.173812 #28145] DEBUG -- : Added 172.22.10.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:27:02.173886 #28145] DEBUG -- : Added 10.23.55.16/255.255.255.240 to 127.0.0.1

D, [2012-03-01T12:27:02.173959 #28145] DEBUG -- : Added 10.23.47.192/255.255.255.192 to 127.0.0.1

D, [2012-03-01T12:27:02.174034 #28145] DEBUG -- : Added 10.23.47.64/255.255.255.192 to 127.0.0.1

D, [2012-03-01T12:27:02.174155 #28145] DEBUG -- : Loading subnet data for 172.16.36.0/255.255.255.

0

D, [2012-03-01T12:27:02.178258 #28145] DEBUG -- : Added anothertest.prd.otherdomain.com (172.16.36

.3 / 00:50:ff:a3:f1:fa) to 172.16.36.0/255.255.255.0

E, [2012-03-01T12:27:02.178369 #28145] ERROR -- : [6773] 12:27:02 URL:http://satellite01.maindomai

n.int/ks/dist/ks-rhel-x86_64-server-5-5.7/images/pxeboot/vmlinuz [2106012] -> 

"/tftpboot//boot/RedHat-5.7-x86_64-vmlinuz" [1]

E, [2012-03-01T12:27:02.215436 #28145] ERROR -- : [955] 12:27:02 URL:http://satellite01.maindomain

.int/ks/dist/ks-rhel-x86_64-server-5-5.7/images/pxeboot/initrd.img [11373270] -> 
"/tftpboot//boot/RedHat-5.7-x86_64-initrd.img" [1]

I, [2012-03-01T12:27:02.247121 #28145]  INFO -- : Enumerated hosts on 172.16.36.0

D, [2012-03-01T12:27:02.247238 #28145] DEBUG -- : Lazy loaded 172.16.36.0/255.255.255.0 records

D, [2012-03-01T12:27:02.250804 #28145] DEBUG -- : omshell: executed - set hardware-address = 00:50

:ff:a3:f1:fa

D, [2012-03-01T12:27:02.250893 #28145] DEBUG -- : true

D, [2012-03-01T12:27:02.250979 #28145] DEBUG -- : omshell: executed - open

D, [2012-03-01T12:27:02.251029 #28145] DEBUG -- : true

D, [2012-03-01T12:27:02.251114 #28145] DEBUG -- : omshell: executed - remove

D, [2012-03-01T12:27:02.251170 #28145] DEBUG -- : true

I, [2012-03-01T12:27:02.254869 #28145]  INFO -- : Removed DHCP reservation for anothertest.prd.oth

erdomain.com => anothertest.prd.otherdomain.com (172.16.36.3 / 00:50:ff:a3:f1:fa)

 However, if I modify the subnet in foreman to be maindomain.int, it works OK on the same subnet:

D, [2012-03-01T12:32:29.975611 #28145] DEBUG -- : Loading subnet data for 172.16.36.0/255.255.255.

0

D, [2012-03-01T12:32:29.981401 #28145] DEBUG -- : Added anothertest.prd.otherdomain.com (172.16.36

.3 / 00:50:ff:a3:f1:fa) to 172.16.36.0/255.255.255.0

I, [2012-03-01T12:32:30.080701 #28145]  INFO -- : Enumerated hosts on 172.16.36.0

D, [2012-03-01T12:32:30.080816 #28145] DEBUG -- : Lazy loaded 172.16.36.0/255.255.255.0 records

D, [2012-03-01T12:32:30.080942 #28145] DEBUG -- : Searching for free ip - pinging 172.16.36.1

I, [2012-03-01T12:32:30.082256 #28145]  INFO -- : Found a pingable IP(172.16.36.1) address which d

oes not have a Proxy::DHCP record

D, [2012-03-01T12:32:30.082314 #28145] DEBUG -- : Searching for free ip - pinging 172.16.36.2

I, [2012-03-01T12:32:30.087184 #28145]  INFO -- : Found a pingable IP(172.16.36.2) address which d

oes not have a Proxy::DHCP record

D, [2012-03-01T12:32:30.087245 #28145] DEBUG -- : Searching for free ip - pinging 172.16.36.3

D, [2012-03-01T12:32:32.125230 #28145] DEBUG -- : Found free ip 172.16.36.3 out of a total of 254 

free ips

D, [2012-03-01T12:43:31.252817 #28145] DEBUG -- : Loading subnets for 127.0.0.1

D, [2012-03-01T12:43:31.252954 #28145] DEBUG -- : Added 10.23.11.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:43:31.253057 #28145] DEBUG -- : Added 10.21.9.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:43:31.253155 #28145] DEBUG -- : Added 172.16.36.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:43:31.253260 #28145] DEBUG -- : Added 10.21.171.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:43:31.253362 #28145] DEBUG -- : Added 10.64.9.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:43:31.253465 #28145] DEBUG -- : Added 172.22.10.0/255.255.255.0 to 127.0.0.1

D, [2012-03-01T12:43:31.253565 #28145] DEBUG -- : Added 10.23.55.16/255.255.255.240 to 127.0.0.1

D, [2012-03-01T12:43:31.253682 #28145] DEBUG -- : Added 10.23.47.192/255.255.255.192 to 127.0.0.1

D, [2012-03-01T12:43:31.253790 #28145] DEBUG -- : Added 10.23.47.64/255.255.255.192 to 127.0.0.1

D, [2012-03-01T12:43:31.254033 #28145] DEBUG -- : Loading subnet data for 10.23.11.0/255.255.255.0

D, [2012-03-01T12:43:31.258637 #28145] DEBUG -- : Added d7sparebay9.maindomain.int (10.23.11.4 / 0

0:22:64:0b:33:58) to 10.23.11.0/255.255.255.0

D, [2012-03-01T12:43:31.258974 #28145] DEBUG -- : Added d7sparebay10.maindomain.int (10.23.11.5 / 

00:1b:78:ce:18:c6) to 10.23.11.0/255.255.255.0

D, [2012-03-01T12:43:31.333288 #28145] DEBUG -- : Added 10.23.11.143 / 10:1f:74:32:0b:48 to 10.23.

11.0/255.255.255.0

D, [2012-03-01T12:43:31.334155 #28145] DEBUG -- : Added 10.23.11.146 / 10:1f:74:32:2a:08 to 10.23.

11.0/255.255.255.0

D, [2012-03-01T12:43:31.334979 #28145] DEBUG -- : Added 10.23.11.148 / 10:1f:74:32:2b:e0 to 10.23.

11.0/255.255.255.0

W, [2012-03-01T12:43:31.335624 #28145]  WARN -- : Record 10.23.11.146 / 10:1f:74:32:2a:08 already 

exists in 10.23.11.0/255.255.255.0 - can't add again

W, [2012-03-01T12:43:31.336265 #28145]  WARN -- : Record 10.23.11.146 / 10:1f:74:32:2a:08 already 

exists in 10.23.11.0/255.255.255.0 - can't add again

W, [2012-03-01T12:43:31.336933 #28145]  WARN -- : Record 10.23.11.143 / 10:1f:74:32:0b:48 already 

exists in 10.23.11.0/255.255.255.0 - can't add again

W, [2012-03-01T12:43:31.337576 #28145]  WARN -- : Record 10.23.11.143 / 10:1f:74:32:0b:48 already 

exists in 10.23.11.0/255.255.255.0 - can't add again

I, [2012-03-01T12:43:31.337641 #28145]  INFO -- : Enumerated hosts on 10.23.11.0

D, [2012-03-01T12:43:31.337693 #28145] DEBUG -- : Lazy loaded 10.23.11.0/255.255.255.0 records

D, [2012-03-01T12:43:31.337773 #28145] DEBUG -- : Loading subnet data for 10.21.9.0/255.255.255.0

D, [2012-03-01T12:43:31.342601 #28145] DEBUG -- : Added foremantest.maindomain.int (10.21.9.5 / 00

:50:56:a3:00:8c) to 10.21.9.0/255.255.255.0

D, [2012-03-01T12:43:31.342932 #28145] DEBUG -- : Added flodev.maindomain.int (10.21.9.4 / 00:50:5

6:a3:41:69) to 10.21.9.0/255.255.255.0

D, [2012-03-01T12:43:31.408249 #28145] DEBUG -- : Added 10.21.9.131 / 00:50:56:a3:00:01 to 10.21.9
.0/255.255.255.0

D, [2012-03-01T12:43:31.408845 #28145] DEBUG -- : Added 10.21.9.134 / 00:1e:0b:1d:87:08 to 10.21.9

.0/255.255.255.0

I, [2012-03-01T12:43:31.429909 #28145]  INFO -- : Enumerated hosts on 10.21.9.0

D, [2012-03-01T12:43:31.429968 #28145] DEBUG -- : Lazy loaded 10.21.9.0/255.255.255.0 records

D, [2012-03-01T12:43:31.430023 #28145] DEBUG -- : Loading subnet data for 172.16.36.0/255.255.255.

0

D, [2012-03-01T12:43:31.433631 #28145] DEBUG -- : Added anothertest.prd.otherdomain.com (172.16.36

.3 / 00:50:ff:a3:f1:fa) to 172.16.36.0/255.255.255.0

I, [2012-03-01T12:43:31.483938 #28145]  INFO -- : Enumerated hosts on 172.16.36.0

D, [2012-03-01T12:43:31.484021 #28145] DEBUG -- : Lazy loaded 172.16.36.0/255.255.255.0 records

D, [2012-03-01T12:43:31.484066 #28145] DEBUG -- : Loading subnet data for 10.21.171.0/255.255.255.

0

I, [2012-03-01T12:43:31.554567 #28145]  INFO -- : Enumerated hosts on 10.21.171.0

D, [2012-03-01T12:43:31.554659 #28145] DEBUG -- : Lazy loaded 10.21.171.0/255.255.255.0 records

D, [2012-03-01T12:43:31.554706 #28145] DEBUG -- : Loading subnet data for 10.64.9.0/255.255.255.0

I, [2012-03-01T12:43:31.625162 #28145]  INFO -- : Enumerated hosts on 10.64.9.0

D, [2012-03-01T12:43:31.625259 #28145] DEBUG -- : Lazy loaded 10.64.9.0/255.255.255.0 records

D, [2012-03-01T12:43:31.625306 #28145] DEBUG -- : Loading subnet data for 172.22.10.0/255.255.255.

0

I, [2012-03-01T12:43:31.679156 #28145]  INFO -- : Enumerated hosts on 172.22.10.0

D, [2012-03-01T12:43:31.679233 #28145] DEBUG -- : Lazy loaded 172.22.10.0/255.255.255.0 records

D, [2012-03-01T12:43:31.679278 #28145] DEBUG -- : Loading subnet data for 10.23.55.16/255.255.255.

240

I, [2012-03-01T12:43:31.749741 #28145]  INFO -- : Enumerated hosts on 10.23.55.16

D, [2012-03-01T12:43:31.749839 #28145] DEBUG -- : Lazy loaded 10.23.55.16/255.255.255.240 records

D, [2012-03-01T12:43:31.749885 #28145] DEBUG -- : Loading subnet data for 10.23.47.192/255.255.255

.192

D, [2012-03-01T12:43:31.755493 #28145] DEBUG -- : Added 10.23.47.240 / 00:23:7d:a7:ed:c6 to 10.23.

47.192/255.255.255.192

I, [2012-03-01T12:43:31.803709 #28145]  INFO -- : Enumerated hosts on 10.23.47.192

D, [2012-03-01T12:43:31.803788 #28145] DEBUG -- : Lazy loaded 10.23.47.192/255.255.255.192 records

D, [2012-03-01T12:43:31.803838 #28145] DEBUG -- : Loading subnet data for 10.23.47.64/255.255.255.

192

D, [2012-03-01T12:43:31.824999 #28145] DEBUG -- : Added 10.23.47.118 / 00:23:7d:a4:28:bc to 10.23.

47.64/255.255.255.192

D, [2012-03-01T12:43:31.825600 #28145] DEBUG -- : Added 10.23.47.120 / 00:c0:ff:d7:a8:30 to 10.23.

47.64/255.255.255.192

D, [2012-03-01T12:43:31.826148 #28145] DEBUG -- : Added 10.23.47.119 / 00:c0:ff:d7:a4:bd to 10.23.

47.64/255.255.255.192

I, [2012-03-01T12:43:31.874822 #28145]  INFO -- : Enumerated hosts on 10.23.47.64

D, [2012-03-01T12:43:31.874897 #28145] DEBUG -- : Lazy loaded 10.23.47.64/255.255.255.192 records

D, [2012-03-01T12:43:31.875026 #28145] DEBUG -- : Added anothertest.maindomain.int (172.16.36.3 / 

00:50:ff:a3:f1:fa) to 172.16.36.0/255.255.255.0

D, [2012-03-01T12:43:31.878691 #28145] DEBUG -- : omshell: executed - set name = "anothertest.main

domain.int" 

D, [2012-03-01T12:43:31.878806 #28145] DEBUG -- : true

D, [2012-03-01T12:43:31.878896 #28145] DEBUG -- : omshell: executed - set ip-address = 172.16.36.3

D, [2012-03-01T12:43:31.878953 #28145] DEBUG -- : true

D, [2012-03-01T12:43:31.879013 #28145] DEBUG -- : omshell: executed - set hardware-address = 00:50

:ff:a3:f1:fa

D, [2012-03-01T12:43:31.879050 #28145] DEBUG -- : true

D, [2012-03-01T12:43:31.879108 #28145] DEBUG -- : omshell: executed - set hardware-type = 1

D, [2012-03-01T12:43:31.879143 #28145] DEBUG -- : true

D, [2012-03-01T12:43:31.879260 #28145] DEBUG -- : omshell: executed - set statements = "filename =

 \"pxelinux.0\"; next-server = 0a:17:0b:0a; option host-name = 

\"anothertest.maindomain.int\";" 

D, [2012-03-01T12:43:31.879296 #28145] DEBUG -- : true

D, [2012-03-01T12:43:31.879355 #28145] DEBUG -- : omshell: executed - create

D, [2012-03-01T12:43:31.879391 #28145] DEBUG -- : true

I, [2012-03-01T12:43:31.883329 #28145]  INFO -- : Added DHCP reservation for anothertest.maindomai

n.int (172.16.36.3 / 00:50:ff:a3:f1:fa)

I, [2012-03-01T12:43:31.908853 #28145]  INFO -- : TFTP: entry for 00:50:ff:a3:f1:fa created succes

sfully

D, [2012-03-01T12:43:31.915857 #28145] DEBUG -- : Starting task (total: 0): wget --timeout=10 --tr

ies=3 --no-check-certificate -nv -c http://satellite01.maindomain.int/ks/dist/ks-
rhel-x86_64-server-5-5.7/images/pxeboot/vmlinuz -O "/tftpboot//boot/RedHat-5.7-x86_64-vmlinuz" 

D, [2012-03-01T12:43:31.923364 #28145] DEBUG -- : Starting task (total: 0): wget --timeout=10 --tr

ies=3 --no-check-certificate -nv -c http://satellite01.maindomain.int/ks/dist/ks-

rhel-x86_64-server-5-5.7/images/pxeboot/initrd.img -O "/tftpboot//boot/RedHat-5.7-x86_64-initrd.im

g" 

E, [2012-03-01T12:43:31.932667 #28145] ERROR -- : [19] 12:43:31 URL:http://satellite01.maindomain.

int/ks/dist/ks-rhel-x86_64-server-5-5.7/images/pxeboot/vmlinuz [2106012] -> 

"/tftpboot//boot/RedHat-5.7-x86_64-vmlinuz" [1]

E, [2012-03-01T12:43:31.942314 #28145] ERROR -- : [158] 12:43:31 URL:http://satellite01.maindomain

.int/ks/dist/ks-rhel-x86_64-server-5-5.7/images/pxeboot/initrd.img [11373270] -> 

"/tftpboot//boot/RedHat-5.7-x86_64-initrd.img" [1]

 From the foreman application side, i'm seeing this in the debug logs:

Processing HostsController#create (for 10.21.178.35 at 2012-03-01 18:16:51) [POST]

  Parameters: {"commit"=>"Submit", "action"=>"create", "authenticity_token"=>"cR69FsOc2AMLMMvqveaL

szK+ym5Vz0H1sulZm03Kqqk=", "controller"=>"hosts", "host"=>{"comment"=>"", 

"architecture_id"=>"1", "subnet_id"=>"37", "managed"=>"true", "puppetproxy_id"=>"", "name"=>"keira

ngs1vb", "sp_mac"=>"", "puppetmaster_name"=>"puppetmaster.maindomain.int", 

"sp_name"=>"", "mac"=>"00:50:ff:a3:f1:ff", "domain_id"=>"3", "enabled"=>"1", "root_pass"=>"[FILTER

ED]", "build"=>"1", "medium_id"=>"1", "hostgroup_id"=>"7", "is_owned_by"=>"3-Users", 

"ptable_id"=>"2", "sp_subnet_id"=>"", "ip"=>"172.16.36.3", "environment_id"=>"2", "model_id"=>"", 

"disk"=>"", "sp_ip"=>"", "puppetclass_ids"=>[""], "operatingsystem_id"=>"1"}}

failed to detect boot server: Connection refused - recvfrom(2)

Create DHCP reservation for keirangs1vb.prd.otherdomain.com-00:50:ff:a3:f1:ff/172.16.36.3

Add the TFTP configuration for keirangs1vb.prd.otherdomain.com

Fetching required TFTP boot files for keirangs1vb.prd.otherdomain.com

Rolling back due to a problem:

Delete the TFTP configuration for keirangs1vb.prd.otherdomain.com

Delete DHCP reservation for keirangs1vb.prd.otherdomain.com-00:50:ff:a3:f1:ff/172.16.36.3

Failed to save: failed to detect boot server: Connection refused - recvfrom(2)

Rendering template within layouts/application

Rendering hosts/new

Completed in 1253ms (View: 275, DB: 42) | 200 OK [http://puppetmaster/hosts]

 For the same subnet that works when i change the domain:

Processing HostsController#create (for 10.21.178.35 at 2012-03-01 18:18:57) [POST]

  Parameters: {"commit"=>"Submit", "action"=>"create", "authenticity_token"=>"cR69FsOc2AMLMMvqveaL

szK+ym5Vz0H1sulZm03Kqqk=", "controller"=>"hosts", "host"=>{"comment"=>"", 

"architecture_id"=>"1", "subnet_id"=>"37", "managed"=>"true", "puppetproxy_id"=>"", "name"=>"keira

ngs1vb", "host_parameters_attributes"=>{"0"=>{"name"=>"", "nested"=>"", "value"=>"", 

"_destroy"=>""}}, "sp_mac"=>"", "puppetmaster_name"=>"puppetmaster.maindomain.int", "sp_name"=>"",

 "mac"=>"00:50:ff:a3:f1:ff", "domain_id"=>"1", "enabled"=>"1", 

"root_pass"=>"[FILTERED]", "build"=>"1", "medium_id"=>"1", "hostgroup_id"=>"7", "is_owned_by"=>"",

 "ptable_id"=>"2", "ip"=>"172.16.36.3", "environment_id"=>"2", "model_id"=>"", 

"disk"=>"", "sp_ip"=>"", "puppetclass_ids"=>[""], "operatingsystem_id"=>"1"}}

Create DHCP reservation for keirangs1vb.maindomain.int-00:50:ff:a3:f1:ff/172.16.36.3

Add the TFTP configuration for keirangs1vb.maindomain.int

Fetching required TFTP boot files for keirangs1vb.maindomain.int

Redirected to http://puppetmaster:3000/hosts/keirangs1vb.maindomain.int

Completed in 817ms (DB: 36) | 302 Found [http://puppetmaster/hosts]

Processing HostsController#show (for 10.21.178.35 at 2012-03-01 18:18:58) [GET]

  Parameters: {"action"=>"show", "id"=>"keirangs1vb.maindomain.int", "controller"=>"hosts"}

Rendering template within layouts/application
Rendering hosts/show

Completed in 274ms (View: 261, DB: 14) | 200 OK [http://puppetmaster/hosts/keirangs1vb.maindomain.

int]

 One thing i find a little odd is that this error occurs when it fails:

W, [2012-03-01T12:27:02.118509 #28145]  WARN -- : Failed to resolve IP address for false

 This subnet is configured correctly so that the next server value is correct, however when the domain is changed to the second

domain it becomes false.

Configuration information

DHCP

I've included the dhcpd definitions for each subnet below:

subnet 10.23.11.0 netmask 255.255.255.0 {

        option routers                  10.23.11.1;

        option subnet-mask              255.255.255.0;

        option domain-name              "maindomain.int";

        option domain-name-servers      10.21.8.12, 10.21.8.100;

        range 10.23.11.100 10.23.11.150;

        default-lease-time 21600;

        max-lease-time 43200;

        next-server 10.23.11.10;

        filename "pxelinux.0";

}

subnet 10.21.9.0 netmask 255.255.255.0 {

        option routers                  10.21.9.1;

        option subnet-mask              255.255.255.0;

        option domain-name              "maindomain.int";

        option domain-name-servers      10.21.8.12, 10.21.8.100;

        range 10.21.9.100 10.21.9.150;

        default-lease-time 21600;

        max-lease-time 43200;

        next-server 10.23.11.10;

        filename "pxelinux.0";

}

subnet 172.16.36.0 netmask 255.255.255.0 {

        option routers                  172.16.36.1;

        option subnet-mask              255.255.255.0;

        option domain-name              "prd.otherdomain.com";

        option domain-name-servers      172.16.33.80, 172.16.33.81;

        range 172.16.36.100 172.16.36.150;

        default-lease-time 21600;

        max-lease-time 43200;

        next-server 10.23.11.10;

        filename "pxelinux.0";

}

 Below is my smart-proxy configuration:

---

# SSL Setup

# if enabled, all communication would be verfied via SSL

# NOTE that both certificates need to be signed by the same CA in order for this to work

# see http://theforeman.org/projects/smart-proxy/wiki/SSL for more information

#:ssl_certificate: ssl/certs/fqdn.pem

#:ssl_ca_file: ssl/certs/ca.pem

#:ssl_private_key: ssl/private_keys/fqdn.key

# the hosts which the proxy accepts connections from

# commenting the following lines would mean every verified SSL connection allowed

#:trusted_hosts:
#- foreman.prod.domain

#- foreman.dev.domain

# enable the daemon to run in the background

:daemon: true

:daemon_pid: /opt/foreman/smart-proxy/run/foreman-proxy.pid

# port used by the proxy

:port: 8443

# Enable TFTP management

:tftp: true

:tftproot: /tftpboot/

# Defines the TFTP Servername to use, overrides the name in the subnet declaration

#:tftp_servername: puppetmaster.maindomain.int

# Enable DNS management

:dns: false

#:dns_key: /etc/rndc.key

# use this setting if you are managing a dns server which is not localhost though this proxy

#:dns_server: dns.domain.com

# Enable DHCP management

:dhcp: true

# The vendor can be either isc or native_ms

:dhcp_vendor: isc

# dhcp_subnets is a Native MS implementation setting. It restricts the subnets queried to a

# subset, so as to reduce the query time.

#:dhcp_subnets: [192.168.205.0/255.255.255.128, 192.168.205.128/255.255.255.128]

# Settings for Ubuntu ISC

#:dhcp_config: /etc/dhcp3/dhcpd.conf

#:dhcp_leases: /var/lib/dhcp3/dhcpd.leases

# Settings for Redhat ISC

:dhcp_config: /etc/dhcpd.conf

:dhcp_leases: /var/lib/dhcp/dhcpd.leases

#:dhcp_key_name: secret_key_name

#:dhcp_key_secret: secret_key

# enable PuppetCA management

:puppetca: false

# enable Puppet management

:puppet: false

# Where our proxy log files are stored

# filename or STDOUT

:log_file: /tmp/proxy.log

# valid options are

# WARN, DEBUG, Error, Fatal, INFO, UNKNOWN

:log_level: DEBUG

 And my software Versions:

Smart proxy - git cloned via  http://github.com/theforeman/smart-proxy.git last commit : commit

26715634835a25f099fc8c0961568f54629256e9

Foreman - 0.4-stable , last  commit 28e4b006a9d94a359182baf11a714b0f4d182723 (Wed Feb 29) , Running via Passenger

Foreman Ruby 1.8.7 (2011-02-18 patchlevel 334)

Proxy ruby 1.8.7 (2011-12-28 MBARI 8/0x8770 on patchlevel 357)

Foreman Server Gems:

*** LOCAL GEMS ***

abstract (1.0.0)

actionmailer (3.1.1, 3.0.10)

actionpack (3.1.1, 3.0.10)

activemodel (3.1.1, 3.0.10)

activerecord (3.0.10)
activeresource (3.1.1, 3.0.10)

activesupport (3.1.1, 3.0.10)

arel (2.2.1, 2.0.10)

builder (3.0.0, 2.1.2)

bundler (1.0.21)

daemon_controller (0.2.6)

erubis (2.7.0, 2.6.6)

fastthread (1.0.7)

hike (1.2.1)

i18n (0.6.0, 0.5.0)

json (1.6.1)

mail (2.3.0, 2.2.19)

mime-types (1.17.2)

multi_json (1.0.3)

mysql (2.8.1)

passenger (3.0.9)

polyglot (0.3.3)

rack (1.3.5, 1.2.5, 1.2.4)

rack-cache (1.1)

rack-mount (0.8.3, 0.6.14)

rack-protection (1.1.4)

rack-ssl (1.3.2)

rack-test (0.6.1, 0.5.7)

rails (3.0.10)

railties (3.1.1, 3.0.10)

rake (0.9.2.2)

rdoc (3.11)

rest-client (1.6.7)

ruby-augeas (0.4.1)

ruby-ldap (0.9.11)

ruby-shadow (2.1.2)

sinatra (1.3.1)

sprockets (2.0.3)

thor (0.14.6)

tilt (1.3.3)

treetop (1.4.10)

tzinfo (0.3.31)

 Proxy Server Gems:

*** LOCAL GEMS ***

actionmailer (3.1.3)

actionpack (3.1.3)

activemodel (3.1.3)

activerecord (3.1.3)

activeresource (3.1.3)

activesupport (3.1.3)

arel (2.2.1)

builder (3.0.0)

bundler (1.0.21)

coderay (0.9.8)

daemon_controller (0.2.6)

erubis (2.7.0)

fastthread (1.0.7)

hike (1.2.1)

i18n (0.6.0)

json (1.6.4)

mail (2.3.0)

method_source (0.6.7)

mime-types (1.17.2)

multi_json (1.0.4)

net-ldap (0.2.2)

net-ping (1.5.2)

passenger (3.0.11)

polyglot (0.3.3)
pry (0.9.7.4)

pry-doc (0.3.0)

pry-remote (0.1.0)

rack (1.4.0, 1.3.6)

rack-cache (1.1)

rack-mount (0.8.3)

rack-protection (1.2.0)

rack-ssl (1.3.2)

rack-test (0.6.1)

rails (3.1.3)

railties (3.1.3)

rake (0.9.2.2)

rdoc (3.12)

ruby_parser (2.3.1)

sexp_processor (3.0.10)

sinatra (1.3.1)

slop (2.1.0)

sprockets (2.0.3)

thor (0.14.6)

tilt (1.3.3)

treetop (1.4.10)

tzinfo (0.3.31)

yard (0.7.4)

 Any advice on debugging this further would be great.

Thanks,

K

History

#1 - 06/24/2012 05:34 AM - Ohad Levy

- Status changed from New to Feedback

I think this has been resolved already with 1.0, can you try and reproduce? thanks

#2 - 08/22/2012 04:19 AM - Keiran Sweet

I can confirm this is fixed in 1.0.

Thanks,

K

#3 - 08/26/2012 02:49 PM - Ohad Levy

- Status changed from Feedback to Resolved
